# Uses of Class
ch.qos.logback.core.rolling.TimeBasedRollingPolicy

Packages that use TimeBasedRollingPolicy
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of TimeBasedRollingPolicy in ch.qos.logback.core.rolling

Subclasses of TimeBasedRollingPolicy in ch.qos.logback.core.rolling
Modifier and Type
Class
Description
`class`
`SizeAndTimeBasedRollingPolicy<E>`
Fields in ch.qos.logback.core.rolling declared as TimeBasedRollingPolicy
Modifier and Type
Field
Description
`protected TimeBasedRollingPolicy<E>`
TimeBasedFileNamingAndTriggeringPolicyBase.`tbrp`
Methods in ch.qos.logback.core.rolling with parameters of type TimeBasedRollingPolicy
Modifier and Type
Method
Description
`void`
TimeBasedFileNamingAndTriggeringPolicy.`setTimeBasedRollingPolicy(TimeBasedRollingPolicy<E> tbrp)`
Set the host/parent `TimeBasedRollingPolicy`.
`void`
TimeBasedFileNamingAndTriggeringPolicyBase.`setTimeBasedRollingPolicy(TimeBasedRollingPolicy<E> _tbrp)`